AnyEvent::XMPP::Ext::MUC::Message(3)

NAME
AnyEvent::XMPP::Ext::MUC::Message - A room message

SYNOPSIS

DESCRIPTION
This message represents a message from a MUC room. It is derived from AnyEvent::XMPP::IM::Message. (You can use the methods from that class to access it for example).

Also the methods like eg. "make_reply" return a AnyEvent::XMPP::Ext::MUC::Message.

METHODS

new (%args)
    This constructor takes the same arguments that the constructor for AnyEvent::XMPP::IM::Message takes.

room
    Returns the chatroom in which' context this message was sent.

send ([$room])
    This method send this message. If $room is defined it will set the connection of this message object before it is send.

make_reply ([$msg])
    This method returns a new instance of AnyEvent::XMPP::Ext::MUC::Message. The destination address, connection and type of the returned message object will be set.

    If $msg is defined and an instance of AnyEvent::XMPP::Ext::MUC::Message the destination address, connection and type of $msg will be changed and this method will not return a new instance of AnyEvent::XMPP::Ext::MUC::Message.

    If $self is a message of type 'groupchat' the "to" attribute will be set to the bare JID of the room for the reply.

from_nick
    This method returns the nickname of the source of this message.

is_private
    This method returns true when the message was not directed to the room, but privately to you.

AUTHOR
Robin Redeker, "<elmex at ta-sa.org>", JID: "<elmex at jabber.org>"

COPYRIGHT & LICENSE
Copyright 2007, 2008 Robin Redeker, all rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.